
Redmine - Defect #27769

utf8 4 bytes on SQL Server 2014 Standard

2017-12-09 22:07 - Jan Wójcik

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.4.2

Description

We've just came across a major issue in our production Redmine instance.

Description of the problem.

One of our coworkers tried to create a ticket containing a smiley face (copy paste from MS Outlook).

http://www.fileformat.info/info/unicode/char/1f60a/index.htm

Form submission resulted in a 500 server error.
She removed the smiley face and the issue had been successfully submitted. Then other coworkers created about 10 more issues.

The system was running fine. However the failed request created an open transaction.
We suspect that other issues where created in the scope of this running transaction as nested transactions. The transaction was

active for about 24 hours and was blocking some of our housekeeping jobs and we had to kill it. As a result we lost all 10 issues that

were (successfully) submitted after the one with the smiley face in it (resulting in a 500 error).

I was able to recreate the problem folowing the steps above.
Jan

History

#1 - 2017-12-10 04:47 - Toshi MARUYAMA

- Subject changed from Major issue with Redmine 3.4.2.stable running on SQL Server 2014 Standard to utf8 4 bytes on SQL Server 2014 Standard

- Priority changed from High to Normal

#2 - 2017-12-10 04:48 - Toshi MARUYAMA

- Description updated
